Loading...
Searching...
No Matches
seqan3::io_error Struct Reference
IO

Thrown if there is an io error in low level io operations such as in std::basic_streambuf operations. More...

`#include <seqan3/io/exception.hpp>`

Inheritance diagram for seqan3::io_error:
[legend]

## Public Member Functions

| io_error (std::string const &s, std::error_code const &ec=std::io_errc::stream)
| Constructor that forwards the exception string.
Public Member Functions inherited from std::ios_base::failure
T | failure (T... args)
T | what (T... args)

## Detailed Description

Thrown if there is an io error in low level io operations such as in std::basic_streambuf operations.

The documentation for this struct was generated from the following file:

- io/exception.hpp

Hide me